# POST /api/v1/org/{orgId}/app

**Create application**

## Create Application
Creates a new Stackhawk Application for this organization.

Applications group scan results from HawkScan, and coordinate settings to influence HawkScan behavior. The application may also contain a specific environment name and id.
For more information, see [Applications](https://docs.stackhawk.com/web-app/applications.html).

| Parameter | Default | Description |
|:---:|:---:|:---:|
|applicationId|""|The UUID identifier of this application.|
|name|""|The name of this application.|
|env|""|The name of this environment. Only set when requesting Application Environments.|
|envId|""|The UUID identifier of this environment.|
|applicationStatus|"ACTIVE"|The status of this application. Either ACTIVE or ENV_INCOMPLETE.|
|organizationId|""|The UUID identifier of the organization that owns this application.|
|applicationType|"STANDARD"|The type of this application.|
|cloudScanTarget|{}|Optional Cloud Scan Target configuration.|

The `env` and `envId` fields are not populated on the response with this endpoint.
A name is not required to create an application, but it is strongly encouraged.

> 👥 Teams Supported
> If the user belongs to a StackHawk [Team](https://docs.stackhawk.com/web-app/teams.html), a created application will belong to the user's Team.

> 🧾 Audited
> This is recorded as `APPLICATION_ADDED` [User Activity](https://apidocs.stackhawk.com/reference/listauditactivity#user-activity-types).

> Requires `write:application` permission.

## Parameters

- `orgId` (in: path, string<uuid>) *(required)* — UUID identifier for this StackHawk Organization.

## Request Body

### application/json

- `applicationStatus` (string) — A specified status for this new application.
- `applicationType` (string) — A specified status for this new application.
- `cloudScanTargetURL` (string) — Optional Cloud Scanning Target URL.
- `dataType` (string) — A specified data type for this new application.
- `env` (string) *(required)* — The initial environment for this new application.
- `host` (string) — The host specified when creating a new application
- `name` (string) *(required)* — The name of this new application.
- `organizationId` (string) — The UUID identifier of the organization that will own this application.
- `riskLevel` (string) — A specified risk level for this new application.
- `teamId` (string) — The UUID identifier of the team that this application belongs to.

## Responses

### 200 — Applications group scan results from HawkScan, and coordinate settings to influence HawkScan behavior. The application may also contain a specific environment name and id. For more information, see [Applications](https://docs.stackhawk.com/web-app/applications.html).

#### application/json

- `applicationId` (string) — The UUID identifier of this application.
- `applicationStatus` (string) — The status of this application. Either ACTIVE or ENV_INCOMPLETE.
- `applicationType` (string) — The type of this application.
- `cloudScanTarget` (application.CloudScanTarget)
  - `isDomainVerified` (boolean) — Indicates if the domain is verified or not.
  - `targetURL` (string) — The target URL.
- `dataType` (string) — The perceived dataType of this application. Currently unused.
- `env` (string) — The name of this environment. Only set when requesting Application Environments.
- `envId` (string) — The UUID identifier of this environment.
- `name` (string) — The name of this application.
- `organizationId` (string) — The UUID identifier of the organization that owns this application.
- `riskLevel` (string) — The perceived riskLevel of this application. Currently unused.

#### application/x-protobuf

- `applicationId` (string) — The UUID identifier of this application.
- `applicationStatus` (string) — The status of this application. Either ACTIVE or ENV_INCOMPLETE.
- `applicationType` (string) — The type of this application.
- `cloudScanTarget` (application.CloudScanTarget)
  - `isDomainVerified` (boolean) — Indicates if the domain is verified or not.
  - `targetURL` (string) — The target URL.
- `dataType` (string) — The perceived dataType of this application. Currently unused.
- `env` (string) — The name of this environment. Only set when requesting Application Environments.
- `envId` (string) — The UUID identifier of this environment.
- `name` (string) — The name of this application.
- `organizationId` (string) — The UUID identifier of the organization that owns this application.
- `riskLevel` (string) — The perceived riskLevel of this application. Currently unused.

### 400 — Bad Request

- (no body)

### 401 — Unauthorized

- (no body)
